/* LiveWire 2.1-Beta installation program */

/* Install REXX system functions */
call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
call sysloadfuncs

/* Determine the path to LiveWire */
parse source . . argv0 .
temp = reverse(argv0)
temp = substr(temp, pos('\', temp))
if length(temp) > 3 then temp = substr(temp, 2)
CurrentPath = reverse(temp)

/* Begin installation */
ECHO OFF
call SysCls
Say "LiveWire 2.1 Beta-2 Install Program"
Say "Copyright 1993 Les Novell"
Say ""
Say "This installation script assumes that it is running from the directory"
Say "here you unzipped LiveWire 2.1 Beta-2"
Say ""
Say "This installation program will remove all old LiveWire configuration files"
Say "(except dialing directories), create the .\PROTOCOL directory,"
Say "and install a desktop folder for LiveWire."
Say ""
Say "Press [ENTER] to perform installation, or [CTRL-BREAK] to halt"
Pull A

call SysCls
Say "Beginning installation..."
Say "Removing any residual configuration files..."
"ERASE LW.CFG LW.ICI LW.MAC LW.MHF LW.XLT VT100.EMU 2>NUL"
Say "Creating directory PROTOCOL..."
Say "  LiveWire will search this directory for installable file transfer"
Say "  protocols, including the path."
"MKDIR PROTOCOL 2>NUL"
Say "Creating a desktop folder for LiveWire"
Say "  The desktop folder will contain the program and related"
Say "  documentation. It will be located in the upper left-hand"
Say "  corner of your desktop. Move it wherever you like."

/* Create the LiveWire folder */
setting="OBJECTID=<LIVEWIRE21B2_FOLDER>;"||,
         "ICONFILE="||CurrentPath||"\LWOS2FOL.ICO;";
ret = SysCreateObject("WPFolder", "LiveWire 2.1 Beta-2", "<WP_DESKTOP>", setting, "U")

/* Create Program object */
setting="OBJECTID=<LIVEWIRE21B2_EXE>;"||,
	 "EXENAME="||CurrentPath||"\LWOS2B2.EXE;"||,
         "ICONFILE="||CurrentPath||"\LWOS2.ICO;"||,
	 "STARTUPDIR="CurrentPath";"||,
	 "PROGTYPE=WINDOWABLEVIO;"
ret = SysCreateObject("WPProgram", "LiveWire 2.1 Beta-2", "<LIVEWIRE21B2_FOLDER>", setting, "R")

/* Create Registration object */
setting="OBJECTID=<LIVEWIRE21B2_REG>;"||,
	 "EXENAME="||CurrentPath||"\LWOS2B2.EXE;"||,
         "ICONFILE="||CurrentPath||"\LWOS2REG.ICO;"||,
	 "STARTUPDIR="CurrentPath";"||,
	 "PARAMETERS=REGISTER;"||,
	 "PROGTYPE=WINDOWABLEVIO;"
ret = SysCreateObject("WPProgram", "Register LiveWire 2.1", "<LIVEWIRE21B2_FOLDER>", setting, "R")

/* Create README.INF object */
setting="OBJECTID=<LIVEWIRE21B2_README>;"||,
	 "EXENAME=VIEW.EXE;"||,
	 "PARAMETERS=README.INF;"||,
	 "STARTUPDIR="CurrentPath";"||,
	 "PROGTYPE=PM;"
ret = SysCreateObject("WPProgram", "Read Me First", "<LIVEWIRE21B2_FOLDER>", setting, "R")

/* Create ORDER.FRM object */
setting="SHADOWID="||CurrentPath||"\ORDER.FRM;"
ret = SysCreateObject("WPShadow", "How to order LiveWire 2.1", "<LIVEWIRE21B2_FOLDER>", setting, "R")

Say "Installation complete."
Say "To configure LiveWire, double click on the LiveWire icon."
